<?php
/*------------------------------------------------------------------------
# mod_vtem_rssfeed - VTEM RSSFeed Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2011 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die('Restricted access');
$scrollItem = false;
if ($interval > 0)
	$scrollItem = true;
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_rssfeed/assets/jquery.oRssFeed.js"></script>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $slideID;?>').oRssFeed({
			service: '<?php echo $rssService;?>', //google or yahoo 
		    feedUrl: '<?php echo $url;?>',
			width: '<?php echo $width;?>',
			limit: <?php echo $limit;?>,
			header: <?php echo $rssheader;?>,
			title: true,
			date: <?php echo $date;?>,
			content: <?php echo $rsscontent;?>,
			snippet: <?php echo $snippet;?>,
			showerror: <?php echo $showerror;?>,
			errormsg: '',
			characterLimit: 0,
			ssl: true,
			linktarget: '<?php echo $linktarget;?>',
			scrollItem: <?php echo $scrollItem;?>,
			speed: <?php echo $interval;?>,
			showItems: <?php echo $visible;?>,
			mousePause: true
		});
	});
</script>
<div id="<?php echo $slideID;?>" class="vtemRSSfeed <?php echo $params->get('moduleclass_sfx');?>"></div>
