<?php
/*------------------------------------------------------------------------
# mod_vtem_rssfeed - VTEM RSSFeed Module
# ------------------------------------------------------------------------
# author Nguyen Van Tuyen
# copyright Copyright (C) 2011 VTEM.NET. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.vtem.net
# Technical Support: Forum - http://vtem.net/en/forum.html
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access');
$slideID = 'vtemrssid'.$module->id;
$rssService 			= $params->get('rssService', 'google');
$width 			= $params->get('width', '280px');
$visible 		= $params->get('visible', 3);
$border		= $params->get('border', '5px solid #ddd');
$headbackground		= $params->get('headBackground', '#333');
$headColor		= $params->get('headColor', '#eee');
$background		= $params->get('background', '#fff');
$textcolor		= $params->get('textcolor', '#333');
$linkcolor		= $params->get('linkcolor', '#c60');
$limit		= $params->get('limit', 10);
$rssheader		= $params->get('rssheader', 1 ) ? 'true' : 'false';
$date		= $params->get('date', 1 ) ? 'true' : 'false';
$rsscontent				= $params->get( 'rsscontent', 1 ) ? 'true' : 'false';
$snippet				= $params->get( 'snippet', 1 ) ? 'true' : 'false';
$showerror				= $params->get( 'showerror', 1 ) ? 'true' : 'false';
$ssl				= $params->get( 'ssl', 1 ) ? 'true' : 'false';
$linktarget				= $params->get( 'linktarget', '_self' );
$url 				= $params->get( 'url','http://feeds.reuters.com/reuters/oddlyEnoughNews' );
$interval 				= $params->get( 'interval', 3000);
$css 				= $params->get( 'css' );

$customstyle ='#'.$slideID.'{border:'.$border.'; overflow:hidden;}
#'.$slideID.' .rssRow{background-color:'.$background.'; color:'.$textcolor.';}
#'.$slideID.' .rssRow{border:'.$border.';}
#'.$slideID.' .even{border-left:5px solid '.$headbackground.' !important;}
#'.$slideID.' .rssHeader, #'.$slideID.' .rssHeader a{background-color:'.$headbackground.'; color:'.$headColor.'}
#'.$slideID.' .rssRow a{color:'.$linkcolor.' !important;}'.$css;
$document = JFactory::getDocument();
if (version_compare( JVERSION, '3.0', '<' ))
	$document->addScript(JURI::root().'modules/mod_vtem_rssfeed/assets/jquery-1.6.4-min.js');
$document->addStyleSheet(JURI::root().'modules/mod_vtem_rssfeed/assets/style.css');
$document->addStyleDeclaration($customstyle);
require(JModuleHelper::getLayoutPath('mod_vtem_rssfeed'));
?>